## org.eclipse.datatools.modelbase.sql.schema.impl
Class SQLObjectImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

All Implemented Interfaces:
  SQLObject

Direct Known Subclasses:
  AuthorizationIdentifierImpl, CatalogImpl, CharacterSetImpl, ConstraintImpl, DatabaseImpl, DataTypeImpl, DependencyImpl, EventImpl, IdentitySpecifierImpl, IndexImpl, IndexMemberImpl, PrivilegeImpl, QueryExpressionDefaultImpl, RoleAuthorizationImpl, RoutineImpl, SchemaImpl, SearchConditionDefaultImpl, SourceImpl, SQLQueryObjectImpl, SQLStatementDefaultImpl, TableImpl, TriggerImpl, TypedElementImpl, UserDefinedTypeOrderingImpl, ValueExpressionDefaultImpl

    public abstract class SQLObjectImpl

extends ENamedElementImpl
implements SQLObject

An implementation of the model object 'SQL Object'.

The following features are implemented:

- `Dependencies`
- `Description`
- `Label`
- `Comments`
- `Privileges`

Method Summary
`EAnnotation` `addEAnnotation(java.lang.String source)`
`void` `addEAnnotationDetail(EAnnotation eAnnotation, java.lang.String key, java.lang.String value)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getComments()`
`EList` `getDependencies()`
`java.lang.String` `getDescription()`
`EAnnotation` `getEAnnotation(java.lang.String source)`
`java.lang.String` `getEAnnotationDetail(EAnnotation eAnnotation, java.lang.String key)`
`java.lang.String` `getLabel()`
`EList` `getPrivileges()`
`void` `removeEAnnotationDetail(EAnnotation eAnnotation, java.lang.String key)`
`void` `setAnnotationDetail(EAnnotation eAnnotation, java.lang.String key, java.lang.String value)`
`void` `setDescription(java.lang.String newDescription)`
`void` `setLabel(java.lang.String newLabel)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getDependencies

    public EList getDependencies()

  Specified by:
    `getDependencies` in interface `SQLObject`
  Returns:
    the value of the 'Dependencies' containment reference list.
  See Also:
    `SQLSchemaPackage.getSQLObject_Dependencies()`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `SQLObject`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `SQLObject.setDescription(String)`, `SQLSchemaPackage.getSQLObject_Description()`

### setDescription

    public void setDescription(java.lang.String newDescription)

  Specified by:
    `setDescription` in interface `SQLObject`
  Parameters:
    `newDescription` - the new value of the 'Description' attribute.
  See Also:
    `SQLObject.getDescription()`

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in interface `SQLObject`
  Returns:
    the value of the 'Label' attribute.
  See Also:
    `SQLObject.setLabel(String)`, `SQLSchemaPackage.getSQLObject_Label()`

### setLabel

    public void setLabel(java.lang.String newLabel)

  Specified by:
    `setLabel` in interface `SQLObject`
  Parameters:
    `newLabel` - the new value of the 'Label' attribute.
  See Also:
    `SQLObject.getLabel()`

### getComments

    public EList getComments()

  Specified by:
    `getComments` in interface `SQLObject`
  Returns:
    the value of the 'Comments' reference list.
  See Also:
    `SQLSchemaPackage.getSQLObject_Comments()`, `Comment.getSQLObject()`

### getPrivileges

    public EList getPrivileges()

  Specified by:
    `getPrivileges` in interface `SQLObject`
  Returns:
    the value of the 'Privileges' reference list.
  See Also:
    `SQLSchemaPackage.getSQLObject_Privileges()`, `Privilege.getObject()`

### addEAnnotation

    public EAnnotation addEAnnotation(java.lang.String source)

  Specified by:
    `addEAnnotation` in interface `SQLObject`

### addEAnnotationDetail

    public void addEAnnotationDetail(EAnnotation eAnnotation,
                                     java.lang.String key,
                                     java.lang.String value)

  Specified by:
    `addEAnnotationDetail` in interface `SQLObject`

### getEAnnotationDetail

    public java.lang.String getEAnnotationDetail(EAnnotation eAnnotation,
                                                 java.lang.String key)

  Specified by:
    `getEAnnotationDetail` in interface `SQLObject`

### setAnnotationDetail

    public void setAnnotationDetail(EAnnotation eAnnotation,
                                    java.lang.String key,
                                    java.lang.String value)

  Specified by:
    `setAnnotationDetail` in interface `SQLObject`

### removeEAnnotationDetail

    public void removeEAnnotationDetail(EAnnotation eAnnotation,
                                        java.lang.String key)

  Specified by:
    `removeEAnnotationDetail` in interface `SQLObject`

### getEAnnotation

    public EAnnotation getEAnnotation(java.lang.String source)

  Specified by:
    `getEAnnotation` in interface `SQLObject`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.